# Create or Update OIDC Configuration POST /api/v1/enterprises/oidc/config/ Content-Type: application/json Create or update OIDC configuration for the enterprise domain. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/enterprises/oidc-config-create ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/enterprises/oidc/config/: post: operationId: oidc-config-create summary: Create or Update OIDC Configuration description: Create or update OIDC configuration for the enterprise domain. tags: - subpackage_enterprises responses: '200': description: '' content: application/json: schema: $ref: '#/components/schemas/EnterpriseOIDCConfig' '404': description: Enterprise domain not found content: application/json: schema: description: Any type requestBody: content: application/json: schema: $ref: '#/components/schemas/EnterpriseOIDCConfig' components: schemas: EnterpriseOIDCConfig: type: object properties: id: type: integer enterprise_domain: type: integer client_id: type: string client_secret: type: string client_secret_masked: type: string discovery_url: type: - string - 'null' format: uri description: OIDC Discovery URL (e.g. /.well-known/openid-configuration) authorization_endpoint: type: - string - 'null' format: uri token_endpoint: type: - string - 'null' format: uri userinfo_endpoint: type: - string - 'null' format: uri created_at: type: string format: date-time updated_at: type: string format: date-time required: - id - enterprise_domain - client_id - client_secret - client_secret_masked - created_at - updated_at title: EnterpriseOIDCConfig ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/enterprises/oidc/config/" payload = { "client_id": "enterprise-app-123", "client_secret": "s3cr3tP@ssw0rd!" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/enterprises/oidc/config/'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"client_id":"enterprise-app-123","client_secret":"s3cr3tP@ssw0rd!"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/enterprises/oidc/config/" payload := strings.NewReader("{\n \"client_id\": \"enterprise-app-123\",\n \"client_secret\": \"s3cr3tP@ssw0rd!\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/enterprises/oidc/config/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"client_id\": \"enterprise-app-123\",\n \"client_secret\": \"s3cr3tP@ssw0rd!\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.example.com/api/v1/enterprises/oidc/config/") .header("Content-Type", "application/json") .body("{\n \"client_id\": \"enterprise-app-123\",\n \"client_secret\": \"s3cr3tP@ssw0rd!\"\n}") .asString(); ``` ```php request('POST', 'https://api.example.com/api/v1/enterprises/oidc/config/', [ 'body' => '{ "client_id": "enterprise-app-123", "client_secret": "s3cr3tP@ssw0rd!" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/enterprises/oidc/config/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"client_id\": \"enterprise-app-123\",\n \"client_secret\": \"s3cr3tP@ssw0rd!\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [ "client_id": "enterprise-app-123", "client_secret": "s3cr3tP@ssw0rd!" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/enterprises/oidc/config/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` ```python import requests url = "https://api.example.com/api/v1/enterprises/oidc/config/" payload = { "client_id": "enterprise-app-123", "client_secret": "s3cr3tP@ssw0rd!" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/enterprises/oidc/config/'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"client_id":"enterprise-app-123","client_secret":"s3cr3tP@ssw0rd!"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/enterprises/oidc/config/" payload := strings.NewReader("{\n \"client_id\": \"enterprise-app-123\",\n \"client_secret\": \"s3cr3tP@ssw0rd!\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/enterprises/oidc/config/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"client_id\": \"enterprise-app-123\",\n \"client_secret\": \"s3cr3tP@ssw0rd!\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.example.com/api/v1/enterprises/oidc/config/") .header("Content-Type", "application/json") .body("{\n \"client_id\": \"enterprise-app-123\",\n \"client_secret\": \"s3cr3tP@ssw0rd!\"\n}") .asString(); ``` ```php request('POST', 'https://api.example.com/api/v1/enterprises/oidc/config/', [ 'body' => '{ "client_id": "enterprise-app-123", "client_secret": "s3cr3tP@ssw0rd!" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/enterprises/oidc/config/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"client_id\": \"enterprise-app-123\",\n \"client_secret\": \"s3cr3tP@ssw0rd!\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [ "client_id": "enterprise-app-123", "client_secret": "s3cr3tP@ssw0rd!" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/enterprises/oidc/config/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```